@import url('https://fonts.googleapis.com/css2?family=Afacad+Flux:wght@100..1000&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");

:root {
    --color-primary: #b6ff3b;
    --color-text: #eaeaea;
    --color-bg: #001a19;
}

* {
    font-family: 'Afacad Flux', sans-serif;
}

body {
    margin: 0px;
    padding: 0px;
    background-color: var(--color-bg);
    color: var(--color-text);
}

.but-main {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-primary);
    border: 3px solid black;
    padding: 1rem 2rem;
    font-size: 24px;
    font-weight: 700;

    cursor: pointer;

    transition: all 0.1s ease-in-out;

    box-shadow: -7px 7px #000;
}

.but-main:hover {
    transform: translate(-10px, 5px);
    box-shadow: none;
}

/* CONTACT FORM */

@media only screen and (max-width: 600px) {
    .contact-form {
        width: 100% !important;
        border-right: none !important;
    }

    .smooth-content {
        overflow-y: hidden !important;
    }
}

.contact-form {
    box-sizing: border-box;

    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 100;

    background-color: var(--color-bg);
    border-right: 3px solid var(--color-primary);
    height: 100%;
    width: 45%;

    visibility: hidden;

    padding-inline: 1rem;

    form {
        display: flex;
        flex-direction: column;
    }

    input, textarea {
        
        background-color: transparent;
        border: 2px solid var(--color-primary);
        color: var(--color-text);
        padding: 0.5rem;

        font-size: 18px;

    }

    textarea {
        height: 150px;
        resize: none;
    }

    input:active, textarea:active, input:focus, textarea:focus {
        outline: none;
        border-color: var(--color-primary);
    }

    input::placeholder, textarea::placeholder {
        color: var(--color-text);
    }

    label {
        margin-top: 1rem;
        margin-bottom: .25rem;
    }

    button {
        margin-top: 1rem;
        align-self: flex-start;
        margin-left: 7px;
    }

    .close-btn {
        position: absolute;
        top: 1rem;
        right: 1rem;

        background: transparent;
        border: 2px solid var(--color-primary);
        color: var(--color-text);

        width: 40px;
        height: 40px;

        font-size: 18px;
        font-weight: bold;

        cursor: pointer;

        display: flex;
        align-items: center;
        justify-content: center;

        transition: 0.2s ease;
    }

    .close-btn:hover {
        background-color: var(--color-primary);
        color: black;
    }

}

/* HEADER */

header {
    position: fixed;
    left: 0px;
    top: 0px;
    z-index: 10;

    padding: 1rem;

    display: flex;
    flex-direction: row;

    img {
        height: 50px;
        margin: 1rem;
    }
}
